ChatCompletion
autogen.oai.oai_models.chat_completion.ChatCompletion #
Bases: BaseModel
choices instance-attribute #
A list of chat completion choices.
Can be more than one if n is greater than 1.
created instance-attribute #
The Unix timestamp (in seconds) of when the chat completion was created.
moderation class-attribute instance-attribute #
Moderation results for the request input and generated output, if moderated completions were requested.
service_tier class-attribute instance-attribute #
The service tier used for processing the request.
system_fingerprint class-attribute instance-attribute #
This fingerprint represents the backend configuration that the model runs with.
Can be used in conjunction with the seed request parameter to understand when backend changes have been made that might impact determinism.
usage class-attribute instance-attribute #
Usage statistics for the completion request.